org.springframework.data.repository.util

## Class QueryExecutionConverters.WrapperType

- java.lang.Object
- - org.springframework.data.repository.util.QueryExecutionConverters.WrapperType

Enclosing class:
  QueryExecutionConverters

    public static final class QueryExecutionConverters.WrapperType
    extends Object

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`org.springframework.data.repository.util.QueryExecutionConverters.WrapperType.Cardinality` `getCardinality()`
`Class<?>` `getType()`
`int` `hashCode()`
`static QueryExecutionConverters.WrapperType` `multiValue(Class<?> type)`
`static QueryExecutionConverters.WrapperType` `noValue(Class<?> type)`
`static QueryExecutionConverters.WrapperType` `singleValue(Class<?> type)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getType

    public Class<?> getType()

#### getCardinality

    public org.springframework.data.repository.util.QueryExecutionConverters.WrapperType.Cardinality getCardinality()

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### singleValue

    public static QueryExecutionConverters.WrapperType singleValue(Class<?> type)

#### multiValue

    public static QueryExecutionConverters.WrapperType multiValue(Class<?> type)

#### noValue

    public static QueryExecutionConverters.WrapperType noValue(Class<?> type)